/*
  
  This file is part of ERIKYYYPHONE
  Copyright (C) 1996 Erik Thiele
  see README for details and contact adresses.

  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 2 of the License, or
  (at your option) any later version.
  
  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.
  
  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

  */

#ifndef __INCONNECTION_H
#define __INCONNECTION_H

#include "MSG.H"
#include "erikyyylist.H"
#include "warter.H"
#include <netinet/in.h>

class inconnection {
public: 
  inconnection(int handle,int32 _from);
  ~inconnection();
  
  int handleevent();

private:
  MSG_communicator *com;
  int32 from;
};

extern liste<inconnection> *inconnectionlist;

#endif
